HomeSUPPORT QUESTIONS

Need help with StresStimulus? Start here.

How to Access Application which is secured (HTTPS) Messages in this topic - RSS

sudeeshkumar18
sudeeshkumar18
Posts: 8


12/6/2018
sudeeshkumar18
sudeeshkumar18
Posts: 8
Hi,

I have done below changes



But still when i try to record with the application HTTPS it still shows


I'm recording it using Chrome browser. How can i proceed with it?

Can any 1 help me out.
0 link
George @StresStimulus
George @StresStimulus
Administrator
Posts: 236


12/6/2018
George @StresStimulus
George @StresStimulus
Administrator
Posts: 236
It looks like you have a problem with certificate.

Refer to solution described https://stackoverflow.com/questions/16195469/chrome-doesnt-trust-fiddler-root-certificate

  • Click Tools > Fiddler Options.
  • Click the HTTPS tab.
  • Ensure that the text says Certificates generated by CertEnroll engine.
  • Click Actions > Reset Certificates. This may take a minute.
  • Accept all prompts

In your screenshot your certificates are created by MakeCert, which is not supported by Chrome. Change it to CertEnroll (see the red square outline below).



Also, you might want to consider changing the supported protocols (see the green square outline) as described https://amoghnatu.net/2017/12/04/enable-tls1-1-and-tls-1-2-in-fiddler/
0 link
sudeeshkumar18
sudeeshkumar18
Posts: 8


12/7/2018
sudeeshkumar18
sudeeshkumar18
Posts: 8
Hello George,

Thanks for the reply.

I tried the same by selecting CertEnroll engine as shown below



And regarding the Protocols i'm unable to add any other protocols into it as shown below




But still i'm facing the same issue as shown below

0 link
George @StresStimulus
George @StresStimulus
Administrator
Posts: 236


12/7/2018
George @StresStimulus
George @StresStimulus
Administrator
Posts: 236
It looks like you might be using Fiddler v2 which does not support Tls 1.1 and 1.2.

Install Fiddler v4 or higher then try adding tls1.1 and 1.2 to the supported HTTPS protocols.

After you do that go Options > HTTPS tab > Click Actions > Reset Certificates (shown below)


Then restart Fiddler.


0 link
sudeeshkumar18
sudeeshkumar18
Posts: 8


12/11/2018
sudeeshkumar18
sudeeshkumar18
Posts: 8
I upgraded the fiddler to version 4 and after upgrading when i tried to launch the Fiddler its throwing the below error

0 link
George @StresStimulus
George @StresStimulus
Administrator
Posts: 236


12/11/2018
George @StresStimulus
George @StresStimulus
Administrator
Posts: 236
Can you please try just launching Fiddler and clicking the StresStimulus tab.
0 link
sudeeshkumar18
sudeeshkumar18
Posts: 8


12/12/2018
sudeeshkumar18
sudeeshkumar18
Posts: 8
I don see stress stimulus in the fiddler. Attached is the screenshot

0 link
George @StresStimulus
George @StresStimulus
Administrator
Posts: 236


12/12/2018
George @StresStimulus
George @StresStimulus
Administrator
Posts: 236
There seems to be a configuration issue on your machine. Please try to install StresStimulus and Fiddler in another environment. Also you can try using standalone version of StresStimulus instead of Fiddler addon.

If the issue persists then please contact your StresStimulus support rep for further support options.
0 link






Copyright © 2019 Stimulus Technology